diff --git a/pgadmin/schema/pgView.cpp b/pgadmin/schema/pgView.cpp
index 113c782..0bdd203 100644
--- a/pgadmin/schema/pgView.cpp
+++ b/pgadmin/schema/pgView.cpp
@@ -620,7 +620,7 @@ bool pgView::IsMaterializedView(ctlTree *browser)
 {
 	if (this->GetConnection()->BackendMinimumVersion(9, 3))
 	{
-		wxString sql = wxT("SELECT count(*) FROM pg_matviews WHERE matviewname = ") + qtDbString(this->GetQuotedIdentifier()) + wxT(" AND schemaname = ") + qtDbString(this->GetSchema()->GetQuotedIdentifier());
+		wxString sql = wxT("SELECT count(*) FROM pg_matviews WHERE matviewname = ") + qtDbString(this->GetIdentifier()) + wxT(" AND schemaname = ") + qtDbString(this->GetSchema()->GetIdentifier());
 
 		if (!this->GetDatabase()->GetConnection() || this->GetDatabase()->ExecuteScalar(sql) == wxT("0"))
 			return false;
